Bug 828698 - Command 'yum provides ""' generates traceback
Command 'yum provides ""' generates traceback
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: yum (Show other bugs)
5.8
Unspecified Unspecified
low Severity low
: beta
: ---
Assigned To: Zdeněk Pavlas
BaseOS QE Security Team
:
Depends On:
Blocks: 1049888
  Show dependency treegraph
 
Reported: 2012-06-05 04:24 EDT by Karel Srot
Modified: 2014-02-04 10:06 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 817491
Environment:
Last Closed: 2013-12-18 16:07:06 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Karel Srot 2012-06-05 04:24:36 EDT
Present also on rhel5.8

+++ This bug was initially created as a clone of Bug #817491 +++

Description of problem:

Command yum provides ""  generates traceback.

Version-Release number of selected component (if applicable):
yum-3.2.29-22.el6.noarch

How reproducible:
100%

Steps to Reproduce:
1. yum provides ""

  
Actual results:
Traceback (most recent call last):
  File "/usr/bin/yum", line 29, in <module>
    yummain.user_main(sys.argv[1:], exit_code=True)
  File "/usr/share/yum-cli/yummain.py", line 276, in user_main
    errcode = main(args)
  File "/usr/share/yum-cli/yummain.py", line 129, in main
    result, resultmsgs = base.doCommands()
  File "/usr/share/yum-cli/cli.py", line 438, in doCommands
    return self.yum_cli_commands[self.basecmd].doCommand(self, self.basecmd, self.extcmds)
  File "/usr/share/yum-cli/yumcommands.py", line 616, in doCommand
    return base.provides(extcmds)
  File "/usr/share/yum-cli/cli.py", line 1122, in provides
    callback_has_matchfor=True)
  File "/usr/lib/python2.6/site-packages/yum/__init__.py", line 2643, in searchPackageProvides
    isglob, canBeFile = _arg_data(arg)
  File "/usr/lib/python2.6/site-packages/yum/__init__.py", line 2630, in _arg_data
    if arg[0] != '/':
IndexError: string index out of range


Expected results:
No Traceback.

Additional info:
Comment 1 RHEL Product and Program Management 2012-06-11 21:17:08 EDT
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated in the
current release, Red Hat is unfortunately unable to address this
request at this time. Red Hat invites you to ask your support
representative to propose this request, if appropriate and relevant,
in the next release of Red Hat Enterprise Linux.
Comment 2 Zdeněk Pavlas 2013-03-08 08:53:22 EST
We've fixed this in EL6 and upstream.
Comment 4 RHEL Product and Program Management 2013-05-01 02:41:02 EDT
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unable to address this
request at this time.

Red Hat invites you to ask your support representative to
propose this request, if appropriate, in the next release of
Red Hat Enterprise Linux.
Comment 6 James Antill 2013-12-18 16:07:06 EST
 It's not a difficult fix, but pretty much nobody does this IRL (which is how it creeps in every now and then :) ... so I'm going to close this out so late in the RHEL-5 lifetime.

Note You need to log in before you can comment on or make changes to this bug.